## udpsink udpsink |

## Properties

gchar * | host | Read / Write
gint | port | Read / Write

## Types and Values

struct | GstUDPSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstMultiUDPSink
                            ╰── GstUDPSink

## Implemented Interfaces

GstUDPSink implements GstURIHandler.

## Description

udpsink is a network sink that sends UDP packets to the network. It can be combined with RTP payloaders to implement RTP streaming.

### Examples

    1
    gst-launch-1.0 -v audiotestsrc ! udpsink

## Synopsis

### Element Information

plugin | udp
author | Wim Taymans <wim@fluendo.com>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstUDPSink

    struct GstUDPSink;

## Property Details

### The `“host”` property

      “host”                     gchar *

The host/IP/Multicast group to send the packets to.

Flags: Read / Write

Default value: "localhost"

### The `“port”` property

      “port”                     gint

The port to send the packets to.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 5004

## See Also

udpsrc, multifdsink